Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

# Class TransactionInterest3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_04.TransactionInterest3

public class TransactionInterest3 extends Object

Java class for TransactionInterest3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionInterest3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TtlIntrstAndTaxAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="Rcrd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}InterestRecord1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<InterestRecord1>`
`rcrd`
`protected ActiveOrHistoricCurrencyAndAmount`
`ttlIntrstAndTaxAmt`

## Constructor Summary

Constructors
Constructor
Description
`TransactionInterest3()`

## Method Summary

Modifier and Type
Method
Description
`List<InterestRecord1>`
`getRcrd()`
Gets the value of the rcrd property.
`ActiveOrHistoricCurrencyAndAmount`
`getTtlIntrstAndTaxAmt()`
Gets the value of the ttlIntrstAndTaxAmt property.
`void`
`setTtlIntrstAndTaxAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the ttlIntrstAndTaxAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ttlIntrstAndTaxAmt

protected ActiveOrHistoricCurrencyAndAmount ttlIntrstAndTaxAmt

### rcrd

protected List<InterestRecord1> rcrd

## Constructor Details

### TransactionInterest3

public TransactionInterest3()

## Method Details

### getTtlIntrstAndTaxAmt

public ActiveOrHistoricCurrencyAndAmount getTtlIntrstAndTaxAmt()
Gets the value of the ttlIntrstAndTaxAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setTtlIntrstAndTaxAmt

public void setTtlIntrstAndTaxAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the ttlIntrstAndTaxAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getRcrd

public List<InterestRecord1> getRcrd()
Gets the value of the rcrd property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rcrd property.

For example, to add a new item, do as follows:

        getRcrd().add(newItem);

Objects of the following type(s) are allowed in the list `InterestRecord1`